
QGIS Application - Bug report #20234

Issue: Layer styles stored in SpatialLite Database not filtering/loading/saving correctly. 

2018-10-26 11:15 PM - Brett Carlock

Status: Feedback

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28055

Description

Issue Summary:

It is very difficult to load/set a default style from a SpatialLite database, despite having created the style appropriately as the default for a

layer.

The style picker seems to ignore the default style for the layer you want to load it onto, and setting a loaded style as Default to the

database simply creates a copy of the already existing valid style.

Screencap of the behavior:

https://www.youtube.com/watch?v=sIZ1w3lEDLs

History

#1 - 2018-10-27 10:04 AM - Saber Razmjooei

- Operating System deleted (Win10 x64 Pro Version 1809 (OS Build 18267.1001))

- Affected QGIS version changed from 3.2.3 to 3.5(master)

- Category changed from Data Provider/SpatiaLite to Symbology

It comes up with an error saying not possible to store the style in master.

#2 - 2018-10-27 06:06 PM - Giovanni Manghi

- Status changed from Open to Feedback

duplicate of #19675 ?

#3 - 2019-03-09 05:23 PM - Giovanni Manghi

Just tested on 3.6 and seems ok to me.
